<?php
function read_password()
{
    $real_path = __DIR__.DIRECTORY_SEPARATOR.".htpassdb";
    $file = fopen($real_path, "r") or die("Unable to open DB password file!");;
    $password = fgets($file);
    fclose($file);
    return trim($password);
}

$host = "127.0.0.1";

$db = new PDO('mysql:host='.$host.';dbname=accueil_insa','root', read_password());
?>